API reference · Video conference

Get next customer from the queue

GET/omni/queue/conference/next

Base URL: https://demo-api.incodesmile.com — Incode demo environment

Fetch next customer from a conference queue. In case no customer in the queue, and empty body is returned.

Path & query parameters

Name In Type Required Description
queueName query string The name of the queue the user is entering in the case the conference call will be used. If not set, the default queue will be used. Same value for queueName needs to be used across all requests in one onboarding session.
api-version header string yes

Responses

200

OK

Response body (application/json):

Field Type Required Description
interviewId string ID of fetched interview.
apiKey integer (int32) OpenTok apiKey used for connection to video call.
interviewToken string OpenTok token used for connection to video call.
sessionId string OpenTok session id used for connection to video call.

400

Bad Request

Response body (application/json):

Field Type Required Description
timestamp integer (int64) UTC timestamp in milliseconds
status integer (int32) Custom error code or HTTP status code
error string HTTP status error
message string Custom error message
path string Endpoint path
details object Custom error details
Was this page helpful?